loading
1 Comments

Tell us about yourself!

Complete Your Profile
  • prattu commented on emmeshop's instructable WhatsApp on Raspberry Pi4 months ago
    WhatsApp on Raspberry Pi

    Everything worked fine but when I tried in executing yowsup demo command, it threw up the following error. Please help.yowsup $ yowsup-cli demos --yowsup --config configTraceback (most recent call last): File "/usr/local/bin/yowsup-cli", line 4, in <module> __import__('pkg_resources').run_script('yowsup2==2.5.0', 'yowsup-cli') File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 2876, in <module> working_set = WorkingSet._build_master() File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 449, in _build_master ws.require(__requires__) File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 745, in require needed = self.resolve(parse_requirements(requirements)) File "/usr/lib/python2.7/di...see more »Everything worked fine but when I tried in executing yowsup demo command, it threw up the following error. Please help.yowsup $ yowsup-cli demos --yowsup --config configTraceback (most recent call last): File "/usr/local/bin/yowsup-cli", line 4, in <module> __import__('pkg_resources').run_script('yowsup2==2.5.0', 'yowsup-cli') File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 2876, in <module> working_set = WorkingSet._build_master() File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 449, in _build_master ws.require(__requires__) File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 745, in require needed = self.resolve(parse_requirements(requirements)) File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 645, in resolve requirements.extend(dist.requires(req.extras)[::-1]) File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 2401, in requires dm = self._dep_map File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 2386, in _dep_map for extra, reqs in split_sections(self._get_metadata(name)): File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 2841, in split_sections for line in yield_lines(s): File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 2078, in yield_lines for ss in strs: File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 2415, in _get_metadata for line in self.get_metadata_lines(name): File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 1413, in get_metadata_lines return yield_lines(self.get_metadata(name)) File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 1405, in get_metadata return self._get(self._fn(self.egg_info, name)) File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 1514, in _get with open(path, 'rb') as stream:IOError: [Errno 13] Permission denied: '/usr/local/lib/python2.7/dist-packages/protobuf-3.0.0b3-py2.7.egg/EGG-INFO/requires.txt'

    View Instructable »